﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace ViewStateTest
{
    public partial class index : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            //エラーメッセージを初期化する
            this.lblError.Text = string.Empty;
        }

        protected void btnSave_Click(object sender, EventArgs e)
        {
            //色名をViewStateに保存する
            if (this.txtColor.Text.Length == 0)
            {
                this.lblError.Text = "色を入力してください。";
                this.txtColor.Focus();
            }
            else
            {
                this.ViewState["color"] = this.txtColor.Text;
            }
        }

        protected void btnExcecute_Click(object sender, EventArgs e)
        {
            //ビューステートが保存してあれば、その色をTextBoxコントロールに表示する
            if (this.ViewState["color"] != null)
            {

                this.txtColor.BackColor = System.Drawing.Color.FromName(this.ViewState["color"].ToString());
            }
            else
            {
                this.lblError.Text = "色を保存してください。";
            }
        }
    }
}